﻿using AbstractFoodOrdersDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstractFoodOrdersContracts.ViewModels
{
    public class DishViewModel : IDishModel
    {
        public int Id { get; set; }
        [DisplayName("Название изделия")]
        public string DishName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> DishComponents { get; set; } = new();
    }

}
